<?php if(is_home()) : ?>
			<div id="bottom_content">
				<div class="bottombox">
					<h3>About</h3>

						<?php query_posts('pagename=about'); ?>
						<?php if (have_posts()) : ?>
						<?php while (have_posts()) : the_post(); ?>
						<?php the_content(); ?>
						<?php endwhile; ?>
						<?php else : ?>
						<p>Welcome to <?php bloginfo('url'); ?>, a personal weblog! </p>
						<?php endif; ?>

				</div>
				
				<div class="bottombox">
					<h3>Most Commented</h3>
					<ul>
						<?php $result = $wpdb->get_results("SELECT comment_count,ID,post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 5");
						foreach ($result as $topten) {
						$postid = $topten->ID;
						$title = $topten->post_title;
						$commentcount = $topten->comment_count; 
						if ($commentcount != 0) {
						?>
						<li><a href="<?php echo get_permalink($postid); ?>"><?php echo $title ?> (<?php echo $commentcount ?> comments)</a></li>
						<?php } } ?>
					</ul>
				</div>
				
				<div class="bottombox">
					<h3>Meta</h3>
					<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
					<li><a href="http://jigsaw.w3.org/css-validator/check/referer" title="This page uses valid CSS">Valid <abbr title="Cascading Style Sheet">CSS</abbr></a></li>
					<?php wp_meta(); ?> 
					</ul>
				</div>
			
			</div>
<?php endif; ?>

<?php if(is_single()) : ?>
			<div id="bottom_content">
				<div class="bottombox">
					<h3>About Post</h3>
						<p>
							&quot;<?php the_title(); ?>&quot; was posted on <?php the_time('M d, Y') ?> by <?php the_author() ?>
						</p>
				</div>
				
				<div class="bottombox">
					<h3>Post Tags</h3>
					<ul>
						<li><?php the_category('</li><li>') ?></li>
					</ul>
				</div>
				
				<div class="bottombox">
					<h3>Post Links</h3>
					<ul>
						<li><a href="<?php the_permalink() ?>">Post Permalink</a></li>
						<li><a href="<?php comments_rss_link('RSS 2.0'); ?>">Comment RSS Feed</a></li>
						<li><a href="http://digg.com/submit?phase=2&url=<?php the_permalink() ?>">Digg this</a></li>
						<li><a href="http://del.icio.us/post?url=<?php the_permalink() ?>">Add to del.ic.ious</a></li>
						<li><a href="http://technorati.com/search/<?php the_permalink() ?>">Technorati this</a></li>
					</ul>
				</div>
			
			</div>
<?php endif; ?>

<?php if(is_search() || is_archive() || is_404()) : ?>
			<div id="bottom_content">
				<div class="bottombox">
					<h3>Search</h3>
						<div id="search">
							<form method="get" id="sform" action="<?php bloginfo('home'); ?>/">
							<input type="text" id="s" value="<?php echo wp_specialchars($s, 1); ?>" name="s" size="15" />
							</form>
						</div>
				</div>
				
				<div class="bottombox">
					<h3>Tags</h3>
					<ul>
						<?php list_cats(FALSE, '', 'ID',
						'asc', '', TRUE, FALSE, 
						FALSE, FALSE, TRUE, 
						FALSE, FALSE, '', FALSE, 
						'', '', '1,33', 
						TRUE); ?>
					</ul>
				</div>
				
				<div class="bottombox">
					<h3>Monthly Archives</h3>
					<ul>
						<?php get_archives('monthly', '', 'custom', '<li>', '</li>', false); ?>
					</ul>
				</div>
			
			</div>
<?php endif; ?>